KABC::AddresseeItem class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::AddresseeItem Class Reference

Special ListViewItem, that is used by the AddresseeDialog. More...

`#include <addresseedialog.h>`

Inheritance diagram for KABC::AddresseeItem:

[legend]
Collaboration diagram for KABC::AddresseeItem:

[legend]
List of all members.

## Public Types
enum | columns { Name = 0, Email = 1 }
| Type of column `Name` - Name in Addressee `Email` - Email in Addressee. More...
## Public Member Functions
| AddresseeItem (QListView *parent, const Addressee &addressee)
| Constructor.
Addressee | addressee () const
| Returns the addressee.
virtual QString | key (int column, bool ascending) const
| Method used by QListView to sort the items.

## Detailed Description

Special ListViewItem, that is used by the AddresseeDialog.

Definition at line 37 of file addresseedialog.h.

## Member Enumeration Documentation

enum KABC::AddresseeItem::columns

| Type of column `Name` - Name in Addressee `Email` - Email in Addressee. Definition at line 46 of file addresseedialog.h.

## Constructor & Destructor Documentation

AddresseeItem::AddresseeItem | ( | QListView * | parent,
|  | const Addressee & | addressee
| ) |

  | Constructor. Parameters:
  parent | The parent listview.
  addressee | The associated addressee.
Definition at line 36 of file addresseedialog.cpp. References addressee(), KABC::Addressee::preferredEmail(), KABC::Addressee::realName(), and QListViewItem::setText().

## Member Function Documentation

Addressee KABC::AddresseeItem::addressee | ( |  | ) | const`[inline]`

| Returns the addressee. Definition at line 59 of file addresseedialog.h. Referenced by KABC::AddresseeDialog::addressee(), AddresseeItem(), and KABC::AddresseeDialog::addressees().

QString AddresseeItem::key | ( | int | column,
|  | bool | ascending
| ) | const`[virtual]`

| Method used by QListView to sort the items. Reimplemented from QListViewItem. Definition at line 44 of file addresseedialog.cpp. References QString::lower(), QRegExp::matchedLength(), QString::mid(), QRegExp::search(), and QListViewItem::text().

The documentation for this class was generated from the following files:

- addresseedialog.h
- addresseedialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:28 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001